/*Her posisjoneres de forskjellige bildene som er synlige på skjærmen.
Disse er */
.sea_images{
    position: absolute;
    justify-content: center;
    align-items: baseline;
    left: 50%;
    transform: translateX(-35%);
    top: -255px;
    display:flex;
}
/* De 3 kommende klassene styer og posisjonerer sjøgress, flaske og død fisk på siden */
.seagrass{
    z-index: 2;
}
.bottle{
    position: relative;
    left: -80px;
    bottom: 70px;
    z-index: 1;
}
.fish__dead{
    position: relative;
    left: -800px;
    bottom: 70px;
    z-index: 1;
}
/* Her spesifiseres det hvordan faktaboksen skal se ut, hvor den skal være plassert
    og hvilken animasjon den skal benytte*/
.sea__information{
        position: absolute;
        width: 20vw;
        height: 30vh;
        left: 15%;
        top: 10%;
        padding: 25px;
        background-color: #ffffff;
        box-shadow: 0px 5px 7px -7px rgba(0, 0, 0 ,0.8);
        z-index: 2;
        opacity: 0;
        animation: factBoxOpacity linear;
        animation-delay: 3s;
        animation-duration: 2s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
}
/*Her spesifiseres Bob sin posisjon på siden og hvilken animajson som skal benytts*/
.sea__bob_the_fish_global {
    position: relative;
    top: 30%;
    transform: translateY(-50%);
    animation: bobSwimmingIn ease-in-out;
    animation-duration: 3s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
/*Posisjonerer audioikonet og gjør den usynlig for brukeren.*/
.audio__bubbles{
    position: absolute;
    opacity: 0;
}

/*Når brukeren hover over en av navigasjonsknappene så svømmer Bob ut av skjermen*/
.nav_buttons:hover ~ .sea__bob_the_fish_global {
    animation: bobSwimmingOut ease-in-out;
    animation-duration: 3s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

/*De her defineres de forskjellige animajsonene som er blitt brukt, med enkel posisjonering og opacity*/
@keyframes bobSwimmingIn{
    0%{
        left: 0%;
        transform: translateX(-100%);
    }
    100%{
        left: 45%;
        transform: translateX(-50%);
    }
}
@keyframes bobSwimmingOut{
    0%{
        left: 45%;
        transform: translateX(-50%);
    }
    100%{
        left: 100%;
    }
}
@keyframes factBoxOpacity{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}
